<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="3.0" toolsVersion="20037" targetRuntime="MacOSX.Cocoa" propertyAccessControl="none" useAutolayout="YES">
    <dependencies>
        <deployment identifier="macosx"/>
        <plugIn identifier="com.apple.InterfaceBuilder.CocoaPlugin" version="20037"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <customObject id="-2" userLabel="File's Owner" customClass="MessageWindowController">
            <connections>
                <outlet property="fClearButton" destination="13" id="71"/>
                <outlet property="fFilterField" destination="72" id="74"/>
                <outlet property="fLevelButton" destination="15" id="20"/>
                <outlet property="fMessageTable" destination="31" id="42"/>
                <outlet property="fSaveButton" destination="24" id="70"/>
                <outlet property="window" destination="5" id="10"/>
            </connections>
        </customObject>
        <customObject id="-1" userLabel="First Responder" customClass="FirstResponder"/>
        <customObject id="-3" userLabel="Application" customClass="NSObject"/>
        <window identifier="MessageWindow" title="Message Log" allowsToolTipsWhenApplicationIsInactive="NO" autorecalculatesKeyViewLoop="NO" releasedWhenClosed="NO" visibleAtLaunch="NO" animationBehavior="default" tabbingMode="disallowed" id="5" userLabel="Window" customClass="NSPanel">
            <windowStyleMask key="styleMask" titled="YES" closable="YES" miniaturizable="YES" resizable="YES"/>
            <windowPositionMask key="initialPositionMask" leftStrut="YES" topStrut="YES"/>
            <rect key="contentRect" x="320" y="502" width="611" height="328"/>
            <rect key="screenRect" x="0.0" y="0.0" width="1440" height="875"/>
            <value key="minSize" type="size" width="550" height="200"/>
            <view key="contentView" id="6">
                <rect key="frame" x="0.0" y="0.0" width="611" height="328"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <button verticalHuggingPriority="750" translatesAutoresizingMaskIntoConstraints="NO" id="13">
                        <rect key="frame" x="544" y="3" width="48" height="23"/>
                        <buttonCell key="cell" type="roundTextured" title="Clear" bezelStyle="texturedRounded" alignment="center" borderStyle="border" inset="2" id="59">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="system"/>
                        </buttonCell>
                        <connections>
                            <action selector="clearLog:" target="-2" id="14"/>
                        </connections>
                    </button>
                    <popUpButton verticalHuggingPriority="750" translatesAutoresizingMaskIntoConstraints="NO" id="15">
                        <rect key="frame" x="17" y="1" width="95" height="25"/>
                        <popUpButtonCell key="cell" type="roundTextured" bezelStyle="texturedRounded" imagePosition="left" alignment="left" lineBreakMode="truncatingTail" borderStyle="borderAndBezel" inset="2" preferredEdge="maxY" id="60">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="menu"/>
                            <menu key="menu" id="16">
                                <items>
                                    <menuItem title="Error" image="NSStatusUnavailable" id="menuItemError"/>
                                    <menuItem title="Warn" image="NSStatusPartiallyAvailable" id="menuItemWarn"/>
                                    <menuItem title="Info" image="NSStatusAvailable" id="menuItemInfo"/>
                                    <menuItem title="Debug" image="NSStatusNone" id="menuItemDebug"/>
                                </items>
                            </menu>
                        </popUpButtonCell>
                        <connections>
                            <action selector="changeLevel:" target="-2" id="21"/>
                        </connections>
                    </popUpButton>
                    <button verticalHuggingPriority="750" horizontalCompressionResistancePriority="1000" translatesAutoresizingMaskIntoConstraints="NO" id="24">
                        <rect key="frame" x="115" y="3" width="56" height="23"/>
                        <buttonCell key="cell" type="roundTextured" title="Save…" bezelStyle="texturedRounded" alignment="center" borderStyle="border" inset="2" id="61">
                            <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                            <font key="font" metaFont="system"/>
                        </buttonCell>
                        <connections>
                            <action selector="writeToFile:" target="-2" id="25"/>
                        </connections>
                    </button>
                    <scrollView horizontalLineScroll="16" horizontalPageScroll="0.0" verticalLineScroll="16" verticalPageScroll="0.0" hasHorizontalScroller="NO" usesPredominantAxisScrolling="NO" translatesAutoresizingMaskIntoConstraints="NO" id="30">
                        <rect key="frame" x="-1" y="30" width="613" height="299"/>
                        <clipView key="contentView" id="Ncd-0I-lkt">
                            <rect key="frame" x="1" y="1" width="611" height="297"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                            <subviews>
                                <tableView focusRingType="none" verticalHuggingPriority="750" allowsExpansionToolTips="YES" columnAutoresizingStyle="lastColumnOnly" alternatingRowBackgroundColors="YES" columnReordering="NO" autosaveName="LogTableView" rowHeight="14" headerView="66" id="31">
                                    <rect key="frame" x="0.0" y="0.0" width="611" height="274"/>
                                    <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                    <size key="intercellSpacing" width="3" height="2"/>
                                    <color key="backgroundColor" name="controlBackgroundColor" catalog="System" colorSpace="catalog"/>
                                    <color key="gridColor" name="gridColor" catalog="System" colorSpace="catalog"/>
                                    <tableColumns>
                                        <tableColumn identifier="Level" editable="NO" width="14" minWidth="14" maxWidth="14" id="34">
                                            <tableHeaderCell key="headerCell" lineBreakMode="truncatingTail" borderStyle="border" alignment="left">
                                                <color key="textColor" name="headerTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" name="headerColor" catalog="System" colorSpace="catalog"/>
                                            </tableHeaderCell>
                                            <imageCell key="dataCell" refusesFirstResponder="YES" alignment="left" animates="YES" imageAlignment="top" imageScaling="proportionallyDown" image="imageCell:63:image" id="63"/>
                                            <sortDescriptor key="sortDescriptorPrototype" selector="compare:" sortKey="Level"/>
                                        </tableColumn>
                                        <tableColumn identifier="Date" editable="NO" width="92" minWidth="40" maxWidth="1000" id="32">
                                            <tableHeaderCell key="headerCell" lineBreakMode="truncatingTail" borderStyle="border" alignment="left" title="Date">
                                                <color key="textColor" name="headerTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" white="0.33333299" alpha="1" colorSpace="calibratedWhite"/>
                                            </tableHeaderCell>
                                            <textFieldCell key="dataCell" lineBreakMode="truncatingTail" alignment="left" title="4/1/1976, 11:00 pm" id="62">
                                                <dateFormatter key="formatter" dateStyle="short" timeStyle="short" id="39"/>
                                                <font key="font" metaFont="smallSystem"/>
                                                <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" name="controlBackgroundColor" catalog="System" colorSpace="catalog"/>
                                            </textFieldCell>
                                            <sortDescriptor key="sortDescriptorPrototype" selector="compare:" sortKey="Index"/>
                                            <tableColumnResizingMask key="resizingMask" userResizable="YES"/>
                                        </tableColumn>
                                        <tableColumn identifier="Name" editable="NO" width="99.87988" minWidth="53.87988" maxWidth="5000" id="33">
                                            <tableHeaderCell key="headerCell" lineBreakMode="truncatingTail" borderStyle="border" alignment="left" title="Process">
                                                <color key="textColor" name="headerTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" white="0.33333299" alpha="1" colorSpace="calibratedWhite"/>
                                            </tableHeaderCell>
                                            <textFieldCell key="dataCell" controlSize="small" lineBreakMode="truncatingTail" sendsActionOnEndEditing="YES" title="Text Cell" id="55">
                                                <font key="font" metaFont="smallSystem"/>
                                                <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                            </textFieldCell>
                                            <sortDescriptor key="sortDescriptorPrototype" selector="localizedStandardCompare:" sortKey="Name"/>
                                            <tableColumnResizingMask key="resizingMask" userResizable="YES"/>
                                        </tableColumn>
                                        <tableColumn identifier="Message" editable="NO" width="355" minWidth="200" maxWidth="3.4028229999999999e+38" id="68">
                                            <tableHeaderCell key="headerCell" lineBreakMode="truncatingTail" borderStyle="border" alignment="left" title="Message">
                                                <color key="textColor" name="headerTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" name="headerColor" catalog="System" colorSpace="catalog"/>
                                            </tableHeaderCell>
                                            <textFieldCell key="dataCell" title="Text Cell" id="69">
                                                <font key="font" metaFont="smallSystem"/>
                                                <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                                <color key="backgroundColor" name="controlBackgroundColor" catalog="System" colorSpace="catalog"/>
                                            </textFieldCell>
                                            <sortDescriptor key="sortDescriptorPrototype" selector="localizedStandardCompare:" sortKey="Message"/>
                                            <tableColumnResizingMask key="resizingMask" resizeWithTable="YES" userResizable="YES"/>
                                        </tableColumn>
                                    </tableColumns>
                                    <connections>
                                        <outlet property="dataSource" destination="-2" id="38"/>
                                        <outlet property="delegate" destination="-2" id="40"/>
                                    </connections>
                                </tableView>
                            </subviews>
                        </clipView>
                        <scroller key="horizontalScroller" hidden="YES" wantsLayer="YES" verticalHuggingPriority="750" horizontal="YES" id="65">
                            <rect key="frame" x="-100" y="-100" width="596" height="15"/>
                            <autoresizingMask key="autoresizingMask"/>
                        </scroller>
                        <scroller key="verticalScroller" wantsLayer="YES" verticalHuggingPriority="750" horizontal="NO" id="64">
                            <rect key="frame" x="596" y="24" width="16" height="274"/>
                            <autoresizingMask key="autoresizingMask"/>
                        </scroller>
                        <tableHeaderView key="headerView" wantsLayer="YES" id="66">
                            <rect key="frame" x="0.0" y="0.0" width="611" height="23"/>
                            <autoresizingMask key="autoresizingMask"/>
                        </tableHeaderView>
                    </scrollView>
                    <searchField wantsLayer="YES" verticalHuggingPriority="750" allowsCharacterPickerTouchBarItem="YES" translatesAutoresizingMaskIntoConstraints="NO" id="72">
                        <rect key="frame" x="353" y="4" width="184" height="22"/>
                        <constraints>
                            <constraint firstAttribute="width" constant="184" id="DIT-6d-IWt"/>
                        </constraints>
                        <searchFieldCell key="cell" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" borderStyle="bezel" placeholderString="Filter" bezelStyle="round" id="73">
                            <font key="font" metaFont="system"/>
                            <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                            <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                        </searchFieldCell>
                        <connections>
                            <action selector="changeFilter:" target="-2" id="75"/>
                        </connections>
                    </searchField>
                </subviews>
                <constraints>
                    <constraint firstItem="72" firstAttribute="centerY" secondItem="15" secondAttribute="centerY" id="0XN-t8-46e"/>
                    <constraint firstItem="24" firstAttribute="leading" secondItem="15" secondAttribute="trailing" constant="8" symbolic="YES" id="4l6-Fu-ZcX"/>
                    <constraint firstItem="13" firstAttribute="leading" secondItem="72" secondAttribute="trailing" constant="8" symbolic="YES" id="6bb-cd-9n7"/>
                    <constraint firstAttribute="trailing" secondItem="30" secondAttribute="trailing" constant="-1" id="Aa9-Tl-L7z"/>
                    <constraint firstAttribute="trailing" secondItem="13" secondAttribute="trailing" constant="20" symbolic="YES" id="DOO-Vg-foL"/>
                    <constraint firstItem="24" firstAttribute="centerY" secondItem="15" secondAttribute="centerY" id="Dpi-HF-bee"/>
                    <constraint firstItem="30" firstAttribute="leading" secondItem="6" secondAttribute="leading" constant="-1" id="Iso-0q-OyD"/>
                    <constraint firstItem="30" firstAttribute="top" secondItem="6" secondAttribute="top" constant="-1" id="Tke-P9-2Q1"/>
                    <constraint firstItem="13" firstAttribute="centerY" secondItem="15" secondAttribute="centerY" id="VVk-HR-ne1"/>
                    <constraint firstItem="13" firstAttribute="top" secondItem="30" secondAttribute="bottom" constant="5" id="WiJ-cK-XNo"/>
                    <constraint firstAttribute="bottom" secondItem="13" secondAttribute="bottom" constant="5" id="YaQ-Y1-LK1"/>
                    <constraint firstItem="72" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="24" secondAttribute="trailing" constant="8" symbolic="YES" id="rFi-Db-Cio"/>
                    <constraint firstItem="15" firstAttribute="leading" secondItem="6" secondAttribute="leading" constant="20" symbolic="YES" id="ufa-KH-Hrp"/>
                </constraints>
            </view>
            <connections>
                <outlet property="delegate" destination="-2" id="67"/>
            </connections>
            <point key="canvasLocation" x="140" y="125"/>
        </window>
    </objects>
    <resources>
        <image name="NSStatusAvailable" width="16" height="16"/>
        <image name="NSStatusNone" width="16" height="16"/>
        <image name="NSStatusPartiallyAvailable" width="16" height="16"/>
        <image name="NSStatusUnavailable" width="16" height="16"/>
        <image name="imageCell:63:image" width="14" height="14">
            <mutableData key="keyedArchiveRepresentation">
[encoded data, 10692 characters]
AAAAAAAAAAAAAAAeVw
</mutableData>
        </image>
    </resources>
</document>
